import 'package:flutter/material.dart';
import 'package:fliwork_calendar/fliwork_calendar.dart';

void main() {
  runApp(FliworkCalendarExample());
}

class FliworkCalendarExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Fliwork Calendar Example',
      theme: ThemeData.dark(),
      locale: Locale('en'),
      localizationsDelegates: FliworkCalendarLocalizations.localizationsDelegates,
      supportedLocales: FliworkCalendarLocalizations.supportedLocales,
      home: FliworkCalendarExamplePage(),
    );
  }
}

class FliworkCalendarExamplePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Fliwork Calendar Example'),
        bottom: CalendarBar(),
      ),
      body: Column(
        children: [
          CalendarBar(),
        ],
      ),
      bottomNavigationBar: BottomAppBar(
        child: CalendarBar(),
      ),
    );
  }
}
