
// ignore: unused_import
import 'package:intl/intl.dart' as intl;
import 'fliwork_calendar_localizations.dart';

// ignore_for_file: unnecessary_brace_in_string_interps

/// The translations for English (`en`).
class FliworkCalendarLocalizationsEn extends FliworkCalendarLocalizations {
  FliworkCalendarLocalizationsEn([String locale = 'en']) : super(locale);

  @override
  String shortDateFormat(DateTime date) {
    final intl.DateFormat dateDateFormat = intl.DateFormat.Md(localeName);
    final String dateString = dateDateFormat.format(date);

    return '${dateString}';
  }

  @override
  String shortDayOfTheWeekFormat(DateTime date) {
    final intl.DateFormat dateDateFormat = intl.DateFormat.E(localeName);
    final String dateString = dateDateFormat.format(date);

    return '${dateString}';
  }
}
